# DialogProperties (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.menu

## Class DialogProperties

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.menu.DialogProperties

- All Implemented Interfaces:
    IDialog

      public class DialogProperties
      extends java.lang.Object
      implements IDialog

  This class implements a dialog for editing project properties.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DialogProperties(org.eclipse.swt.widgets.Shell parent, Model model, Controller controller)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `open()` Opens the dialog

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DialogProperties

          public DialogProperties(org.eclipse.swt.widgets.Shell parent,
                          Model model,
                          Controller controller)

      Creates a new instance.
      Parameters:
        `parent` -
        `model` -

  - ### Method Detail

    - #### open

          public void open()

      Opens the dialog